ON_Bitmap Class Referenceabstract

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_bitmap.h>`

Inheritance diagram for ON_Bitmap:

## Public Member Functions

| ON_Bitmap ()
| ~ON_Bitmap ()
ON_UUID | ModelObjectId () const
void | Dump (ON_TextLog &) const
void | EmergencyDestroy ()
void | Destroy ()
void | Defaults ()
virtual int | Width () const =0
virtual int | Height () const =0
virtual int | BitsPerPixel () const =0
virtual int | SizeofScan () const =0
virtual int | SizeofImage () const =0
virtual unsigned char * | Bits (int)=0
virtual const unsigned char * | Bits (int) const =0
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const =0
virtual unsigned int | SizeOf () const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON_BOOL32 | Write (ON_BinaryArchive &binary_archive) const
virtual ON_BOOL32 | Read (ON_BinaryArchive &binary_archive)
virtual ON::object_type | ObjectType () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Public Attributes

ON_UUID | m_bitmap_id
int | m_bitmap_index
ON_wString | m_bitmap_name
ON_wString | m_bitmap_filename

## Detailed Description

Definition at line 28 of file opennurbs_bitmap.h.

## Constructor & Destructor Documentation

ON_Bitmap::ON_Bitmap | ( |  | ) |

ON_Bitmap::~ON_Bitmap | ( |  | ) |

## Member Function Documentation

virtual unsigned char* ON_Bitmap::Bits | ( | int |  | ) |

pure virtual

Implemented in ON_EmbeddedBitmap, and ON_WindowsBitmap.

virtual const unsigned char* ON_Bitmap::Bits | ( | int |  | ) | const

pure virtual

Implemented in ON_EmbeddedBitmap, and ON_WindowsBitmap.

virtual int ON_Bitmap::BitsPerPixel | ( |  | ) | const

pure virtual

Implemented in ON_EmbeddedBitmap, and ON_WindowsBitmap.

void ON_Bitmap::Defaults | ( |  | ) |

void ON_Bitmap::Destroy | ( |  | ) |

void ON_Bitmap::Dump | ( | ON_TextLog & |  | ) | const

virtual

Reimplemented from ON_Object.

void ON_Bitmap::EmergencyDestroy | ( |  | ) |

virtual int ON_Bitmap::Height | ( |  | ) | const

pure virtual

Implemented in ON_EmbeddedBitmap, and ON_WindowsBitmap.

ON_UUID ON_Bitmap::ModelObjectId | ( |  | ) | const

virtual

Reimplemented from ON_Object.

virtual int ON_Bitmap::SizeofImage | ( |  | ) | const

pure virtual

Implemented in ON_EmbeddedBitmap, and ON_WindowsBitmap.

virtual int ON_Bitmap::SizeofScan | ( |  | ) | const

pure virtual

Implemented in ON_EmbeddedBitmap, and ON_WindowsBitmap.

virtual int ON_Bitmap::Width | ( |  | ) | const

pure virtual

Implemented in ON_EmbeddedBitmap, and ON_WindowsBitmap.

## Member Data Documentation

ON_wString ON_Bitmap::m_bitmap_filename

Definition at line 75 of file opennurbs_bitmap.h.

ON_UUID ON_Bitmap::m_bitmap_id

Definition at line 72 of file opennurbs_bitmap.h.

int ON_Bitmap::m_bitmap_index

Definition at line 73 of file opennurbs_bitmap.h.

ON_wString ON_Bitmap::m_bitmap_name

Definition at line 74 of file opennurbs_bitmap.h.

The documentation for this class was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_bitmap.h